#ifndef ATL_dtGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,560,720,960,2000,2960,3040,3120,3200,3280,3360,3440,4000
 * N : 25,240,480,560,720,960,2000,2960,3040,3120,3200,3280,3360,3440,4000
 * NB : 5,80,20,156,152,140,80,60,40,60,100,100,100,120,100
 */
#define ATL_dtGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 5; \
   else if ((n_) < 360) (nb_) = 80; \
   else if ((n_) < 520) (nb_) = 20; \
   else if ((n_) < 640) (nb_) = 156; \
   else if ((n_) < 840) (nb_) = 152; \
   else if ((n_) < 1480) (nb_) = 140; \
   else if ((n_) < 2480) (nb_) = 80; \
   else if ((n_) < 3000) (nb_) = 60; \
   else if ((n_) < 3080) (nb_) = 40; \
   else if ((n_) < 3160) (nb_) = 60; \
   else if ((n_) < 3400) (nb_) = 100; \
   else if ((n_) < 3720) (nb_) = 120; \
   else (nb_) = 100; \
}


#endif    /* end ifndef ATL_dtGetNB_geqrf */
