#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,240,480,560,640,720,800,880,960,2000,4000
 * N : 25,240,480,560,640,720,800,880,960,2000,4000
 * NB : 7,80,80,80,20,96,40,108,120,80,80
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 132) (nb_) = 7; \
   else if ((n_) < 600) (nb_) = 80; \
   else if ((n_) < 680) (nb_) = 20; \
   else if ((n_) < 760) (nb_) = 96; \
   else if ((n_) < 840) (nb_) = 40; \
   else if ((n_) < 920) (nb_) = 108; \
   else if ((n_) < 1480) (nb_) = 120; \
   else (nb_) = 80; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
